Skip to main content
POST
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
virtual-accounts
/
{virtualAccountId}
/
regenerate
Child Address Regenerate
curl --request POST \
  --url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}/regenerate \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}/regenerate"

headers = {"x-api-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}/regenerate', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "accountName": "yaxep42303 elafans",
    "accountNumber": "9013181538",
    "address": {
      "address": "0xbaD4E4B5e6660AcD138F776a992b566e8Bf3bb15",
      "configurations": {
        "aml": {
          "message": "Address is not sanctioned",
          "provider": "ofac, fbi, tether, circle",
          "status": "success"
        }
      },
      "createdAt": "2025-11-04T20:54:41.190Z",
      "derivationPath": "m/44'/60'/0'/0/50",
      "id": "af8b6e52-a734-479a-8ccb-7ff0610afd44",
      "isActive": false,
      "metadata": null,
      "name": "halima codesphere55",
      "network": "mainnet",
      "type": "INTERNAL",
      "updatedAt": "2026-01-14T20:22:46.686Z"
    },
    "bankCode": "076",
    "bankName": "Polaris Bank",
    "createdAt": "2026-01-22T00:12:28.984Z",
    "currency": "NGN",
    "customer": {
      "createdAt": "2026-01-22T00:12:28.984Z",
      "email": "[email protected]",
      "id": "9a25b2e7-8a0b-4c6e-b5a8-277b20c846c8",
      "name": "yaxep42303 elafans",
      "network": "mainnet",
      "phone": "+2347537812345",
      "status": "ACTIVE",
      "updatedAt": "2026-01-22T00:12:28.984Z"
    },
    "id": "fca82f66-f806-4a88-8f9a-217d82a340bb",
    "isActive": true,
    "label": null,
    "reference": "177",
    "status": "ACTIVE",
    "type": "AUTO_FUNDING",
    "updatedAt": "2026-01-22T00:12:28.984Z",
    "wallet": {
      "address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
      "blockchain": {
        "configurations": null,
        "createdAt": "2024-05-27T14:31:14.966Z",
        "derivationPath": "m/44'/60'/0'/0",
        "id": "74733889-4ecd-403e-9840-94e87c043f24",
        "isActive": true,
        "isEvmCompatible": true,
        "isL2": true,
        "name": "base",
        "networkFeeModel": "native",
        "slug": "base",
        "symbol": "eth",
        "tokenStandard": null,
        "updatedAt": "2024-11-26T20:04:13.945Z"
      },
      "business": {
        "configurations": {
          "features": {
            "rates": true,
            "virtualAccounts": true
          },
          "fees": {},
          "firstTransaction": {
            "timeStamp": "2025-10-22T02:47:09.083Z"
          },
          "hideLogoUrlInResponse": false,
          "useCustomWebhookSignatureHeader": true
        },
        "country": null,
        "createdAt": "2024-05-15T12:01:53.045Z",
        "id": "7c323cfb-c1b6-4a3e-b72d-7433870812ac",
        "name": "Blockradar Inc",
        "partnerId": "b3ba808a-22e8-4170-a03b-05f58a1d71fb",
        "pipedriveOrganizationId": "389",
        "sector": "infrastructure",
        "status": "ACTIVE",
        "updatedAt": "2025-11-07T13:34:50.198Z",
        "userId": "ccfbade7-2747-4f95-a932-95e8979ccdff"
      },
      "configurations": null,
      "createdAt": "2024-05-27T15:33:42.377Z",
      "derivationPath": "m/44'/60'/0'/0/11",
      "description": "This is Base wallet",
      "id": "35e964a6-436a-424f-bf3a-618cc060feea",
      "isActive": true,
      "name": "Base Wallet",
      "network": "mainnet",
      "status": "ACTIVE",
      "updatedAt": "2024-05-27T15:33:42.377Z"
    }
  },
  "message": "Virtual account regenerated successfully",
  "statusCode": 201
}

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

addressId
string
required
Example:

"ADDRESS_ID"

virtualAccountId
string
required
Example:

"VIRTUAL_ACCOUNT_ID"

Response

200 - application/json

200

data
object
message
string
Example:

"Virtual account regenerated successfully"

statusCode
number
Example:

201